<?php

namespace Schaffen\Gef\Transformers;

use League\Fractal\TransformerAbstract;
use Schaffen\Gef\Models\ApontamentoVeiculoGasto;

/**
 * Class ApontamentoVeiculoGastoTransformer.
 *
 * @package namespace Schaffen\Gef\Transformers;
 */
class ApontamentoVeiculoGastoShowTransformer extends TransformerAbstract
{
   /**
    * Transform the ApontamentoVeiculoGasto entity.
    *
    * @param \Schaffen\Gef\Models\ApontamentoVeiculoGasto $model
    *
    * @return array
    */
   public function transform(ApontamentoVeiculoGasto $model)
   {
      $responsavel = $model->responsavel;
      $veiculo = $model->veiculo;
      $items = $model->items;
      $anexos = $model->anexos;


      return [
         'codigo' => (int)$model->avg_codigo,
         'descricao' => $model->avg_descricao,
         'responsavel' => !is_null($responsavel) ? $responsavel : null,
         'veiculo' => !is_null($veiculo) ? $veiculo : null,
         'items' => $items,
         'anexos' => $anexos,
         'faturado' => $model->avg_faturado

      ];
   }
}
