<?php

namespace Schaffen\Gef\Transformers;

use Carbon\Carbon;
use League\Fractal\TransformerAbstract;
use Schaffen\Gef\Models\ApontamentoVeiculoUso;

/**
 * Class ApontamentoVeiculoUsoTransformer.
 *
 * @package namespace Schaffen\Gef\Transformers;
 */
class ApontamentoVeiculoUsoShowTransformer extends TransformerAbstract
{
   /**
    * Transform the ApontamentoVeiculoUso entity.
    *
    * @param \Schaffen\Gef\Models\ApontamentoVeiculoUso $model
    *
    * @return array
    */
   public function transform(ApontamentoVeiculoUso $model)
   {


      $motorista = $model->motorista;
      $veiculo = $model->veiculo;
      $agendamento = $model->agendamento;
      $obra = $model->obra;

      if (!$model->avu_data_hora_uso_inical instanceof Carbon) {
         $model->avu_data_hora_uso_inical = Carbon::createFromFormat('Y-m-d H:i:s', $model->avu_data_hora_uso_inical);
      }

      if (!$model->avu_data_hora_uso_final instanceof Carbon) {
         $model->avu_data_hora_uso_final = Carbon::createFromFormat('Y-m-d H:i:s', $model->avu_data_hora_uso_final);
      }

      return [
         'codigo' => (int)$model->avu_codigo,
         'data_hora_uso_inical' => $model->avu_data_hora_uso_inical->format('d/m/Y H:i:s'),
         'data_hora_uso_final' => $model->avu_data_hora_uso_final->format('d/m/Y H:i:s'),
         'observacao' => $model->avu_observacao,
         'km_inicial' => $model->avu_km_inicial,
         'km_final' => $model->avu_km_final,
         'motorista' => $motorista,
         'veiculo' => $veiculo,
         'agendamento' => $agendamento,
         'obra' => $obra
      ];
   }
}
